﻿using System;
using System.IO;                      // FileStream
using System.Windows;

// Filename : RawFile.cs
// Date     : 2024/3/14
//
// Copyright (C) 2024 Grove Design Service All rights reserved.

namespace EBPlayer
{
    public partial class MainWindow : Window
    {
        FileStream rawFs;

        private String getStringFS(FileStream fs)
        {
            String s = "";
            int d;
            char c;

            if((d = fs.ReadByte()) == -1)
            {
                return s;
            }

            c = (char)d;
            if(c != '%')
            {
                fs.Position = fs.Position - 1;
                return s;
            }

            s = s + "%";

            while ((d = fs.ReadByte()) != -1)
            {
                c = (char)d;

                if (c == 0x0a)
                {
                    return s;
                }

                s = s + c.ToString();
            }

            return s;
        }

        private bool readHeader(FileStream fs)
        {
            bool bHeader = true;
            String s;

            while (bHeader)
            {
                s = getStringFS(rawFs);
                addLog(s);

                if (s.Length == 0)
                {
                    bHeader = false;
                }
                else if (s.Contains("end"))
                {
                    bHeader = false;
                }
                if (s.Contains("evt 3.0"))
                {
                    ev.resetDecoder(EventBase.FMT_EVT30);
                }
                else if (s.Contains("evt 2.1"))
                {
                    ev.resetDecoder(EventBase.FMT_EVT21);
                }
                else if (s.Contains("evt 2.0"))
                {
                    ev.resetDecoder(EventBase.FMT_EVT20);
                }
                else if (s.Contains("serial_number"))
                {
                    serialNumberStr = s.Substring(s.LastIndexOf(" ") + 1);
                }
                else if (s.Contains("camera_integrator_name"))
                {
                    makerStr = s.Substring(s.LastIndexOf(" ") + 1);
                }
            }

            targetTime = 1000000; // 1秒
            dt_curr = DateTime.Now;

            return true;
        }
    }

}
